<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;


use App\Classes\Modules\AddressBook\DataTransferObjects\AddressBookObject;

class CompanyObject
{

    /** @var string */
    private $marking;

    /** @var string */
    private $name;

    /** @var string */
    private $email;

    /** @var string */
    private $registrationNumber;

    /** @var string */
    private $taxNumber;

    /**
     * CompanyObject constructor.
     * @param string $marking
     * @param string $name
     * @param string $email
     * @param string $registrationNumber
     * @param string $taxNumber
     */
    public function __construct(string $marking, string $name, string $email, string $registrationNumber, string $taxNumber)
    {
        $this->marking = $marking;
        $this->name = $name;
        $this->email = $email;
        $this->registrationNumber = $registrationNumber;
        $this->taxNumber = $taxNumber;
    }

    /**
     * @return string
     */
    public function getMarking(): string
    {
        return $this->marking;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getRegistrationNumber(): string
    {
        return $this->registrationNumber;
    }

    /**
     * @return string
     */
    public function getTaxNumber(): string
    {
        return $this->taxNumber;
    }


}